Advanced roadmap - Error #1180

When | create a new milestone and open Gantt tab, it occued an error
2016-06-25 05:53 - Steven Wong

Status: Resolved Start date: 2016-07-04
Priority: Normal Due date: 2016-07-04
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: Gantt Estimated time: 0.00 hour
Target version: Advanced roadmap 0.10.2

Source: Development Redmine version: Redmine 3.3.0
Detected on version: Advanced roadmap 0.10.1

Description
the error log as follow:

Redirected to http://redmine.utranshub.com/projects/demo/issues/gantt
Completed 302 Found in 12ms (ActiveRecord: 2.9ms)
Started GET "/projects/demo/issues/gantt" for 192.168.60.239 at 2016-06-25 11:44:32
Processing by GanttsController#show as HTML

Parameters: {"project_id"=>"demo"}

Current user: admin (id=1)

Rendered queries/_filters.html.erb (14.9ms)

Rendered gantts/show.html.erb within layouts/base (2497.4ms)
Completed 500 Internal Server Error in 2611lms (ActiveRecord: 52.5ms)

Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.1.
n_notifier/views/exception_notifier/_request.text.erb (0.3ms)

Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.1.
n_notifier/views/exception_notifier/_title.text.erb (0.2ms)

Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.1.
n_notifier/views/exception_notifier/_session.text.erb (1.1lms)

Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.1.
n_notifier/views/exception_notifier/_title.text.erb (0.1lms)

Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.1.
n_notifier/views/exception_notifier/_environment.text.erb (1.8ms)

Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.1.
n_notifier/views/exception_notifier/_title.text.erb (0.1lms)

Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.1.
n_notifier/views/exception_notifier/_backtrace.text.erb (0.1lms)

Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.1.
n_notifier/views/exception_notifier/_title.text.erb (0.lms)

Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.1.
n_notifier/views/exception_notifier/exception_notification.text.erb (11.2ms)

ActionView: :Template::Error (undefined method "abort?' for #<Redmine::Helpers::Gantt
d38>) :

107:

108: # Width of the entire chart

109: g_width = ((@gantt.date_to - Qgantt.date_from + 1) * zoom) .to_i

110: @gantt.render (:top => headers_height + 8,

111: :zoom => zoom,

112: :g_width => g_width,

113: :subject_width => subject_width)

plugins/advanced_roadmap/lib/advanced_roadmap/redmine_helpers_gantt_patch.rb:20:in
on_with_milestones'

lib/redmine/helpers/gantt.rb:225:in "block (2 levels) in render_project'

lib/redmine/helpers/gantt.rb:224:in “each'

lib/redmine/helpers/gantt.rb:224:in “block in render_project'

lib/redmine/helpers/gantt.rb:276:in " increment_indent'

lib/redmine/helpers/gantt.rb:217:in "render_project'

lib/redmine/helpers/gantt.rb:205:in “block in render'

app/models/project.rb:796:in “block in project_tree'

app/models/project.rb:792:in “each'
app/models/project.rb:792:in “project_tree'
lib/redmine/helpers/gantt.rb:203:in "render'

app/views/gantts/show.html.erb:110:in ' _app_views_gantts_show_html_erb 1297870265964519113_698

24726509880
app/controllers/gantts_controller.rb:43:in “block (2 levels) in show'
app/controllers/gantts_controller.rb:42:in " show'
lib/redmine/sudo_mode.rb:63:in " sudo_mode'

Associated revisions

Revision 5155e75e - 2016-07-04 12:29 - Emilio Gonzalez Montaha
#1180

e Fix Gantt chart tab.

History

#1 - 2016-06-25 05:54 - Steven Wong

the full trace debug information
An ActionView::Template::Error occurred in gantts#show:

undefined method “abort?' for #<Redmine::Helpers::Gantt:0x007f02ac6c2d38>

plugins/advanced_roadmap/lib/advanced_roadmap/redmine_helpers_gantt_patch.rb:20:in "render_version_with_mile

stones'

Request:

* URL : http://redmine.utranshub.com/projects/demo/issues/gantt
* HTTP Method: GET
IP address : 192.168.60.239

*

* Parameters : {"controller"=>"gantts", "action"=>"show", "project_id"=>"demo"}
* Timestamp : 2016-06-25 03:44:35 UTC
* Server : Jjira

*

Rails root : /opt/redmine-3.3
* Process: 31978

Session:

* session id: "69cd83dd2274a3c7c0fb83bbde39fed2"

* data: {"session_id"=>"69cd83dd2274a3c7c0fb83bbde39fed2",
"user_id"=>1,
"tk"=>"f361b0a374c68676db887a9c29%9e30aac9c5b75aa",
"sudo_timestamp"=>1466819032,

"my_page_sort"=>"none",
"_csrf_token"=>"EwDBCA3Ftc2GYZctpxJCaXQiDuCgogX470IVkWiJUr4=",
"recent_projects"=>[11, 1, 7, 10, 31,
"query"=>
{:project_id=>1,
:filters=>{},
:group_by=>nil,
:column_names=>nil,
:totalable_names=>[:estimated_hours, :spent_hours]},
"issues_index_sort"=>"priority:desc",
"boards_show_sort"=>"updated_on:desc"}

Environment:

* GATEWAY_INTERFACE : CGI/1.2

* HTTP_ACCEPT : text/html, application/xhtml+xml, application/xml;g=0.9, ima
ge/webp, */*;q=0.8

* HTTP_ACCEPT_ENCODING : gzip, deflate, sdch

* HTTP_ACCEPT_LANGUAGE : zh-CN, zh;g=0.8

* HTTP_CONNECTION : keep-alive

*

HTTP_COOKIE

_redmine_session=NmEyZT1YMnZOYThvM2ZDN11VMEkrTktoemUrNEQ1

WUdaRWEwWcC1VycGZMZ21INTHZoWT1wQOnBBbG11dTZDRGFFL21yU2NpbEdLQWILS0Z1VndOR2Z6dVdnNV1tVjVIMzNIS21ubHFkMm1Pb25nSmZnTX
crvV0txVnpDL2FUYTNrcERVb2FNNnpzemxndkd6bjllakl 6dXhUNmdScExYbGIrSWIZUG4waFAWRGIMZTNOA2 9BSmpidl BmMWROKOxVbnkzMzd5
N2Z5bmI4QWpZaFBZTT1TMXVKcHA2SWppQ jNXOCIEUEL1SWN2QUZ0oZjJiTV13ZUUwZmc2cDBTSFAVVEATaWhYVnVGcWZmcOR6akc2TUVzZbVNsQ2
pPvKONOd2pvcDByelJOMHAWMNMOALJKY2tESSt5QVVEYyt zYTdhSnVMc jZ2aV3piUDBzT jFJems3aE1TN3UvZkRt ZzdwTHVQaGdBVkJUaXElalhR
RnBtUnV4VmpVV31EWUNSRMhZWTFmblhJQk1lpOFVZY1VicStYcVA50TY1aHAZNNQ4bzkzZXNQMEJ5al1RHQVA6JES zWGAmb1dON3dOdONsSMEFF5S2
1ybkJJQURibzhmYnJzUGZIQI1RmdAVAZREU4NksxU2ZCSO0JOVWUWN3ZSA0dZbHo5YWZDbH1sZ3QrRWIBSGNVbHY 5aERFUHFQNEdaL2xzenlWQks0
clpxNmhzSXJVY2J2NFI1UlFhb2pCUDZrRUpNSkVBAXJIsWWM1aG91iSmVGLzVFUnpYMzg5ekJUA3NBUzVQa0t 50XJ1RGNObENKbnc5LINIYO1kR1
ZtSVU5S3ZhVUpzZGlwbklPQWc2TD1Wa28zTW15cXhaRVF0a3JCUkFkV09 jNWRMVGgzNT1uNGIvVkgzNEZIMTRJREEXWUVgQVAQWGMIOLS0zcTV3
UTNJMmc4L25kNkESRzZRkQOABPTO0%$3D--58696106e9f2c343d532405614aad0e74£fa2b8b

* HTTP_HOST : redmine.utranshub.com
* HTTP_REFERER : http://redmine.utranshub.com/projects/web/issues/gantt
* HTTP_UPGRADE_INSECURE_REQUESTS : 1
* HTTP_USER_AGENT : Mozilla/5.0 (Windows NT 6.1; Winé64; x64) AppleWebKit/537.
36 (KHTML, like Gecko) Chrome/51.0.2704.103 Safari/537.36
* HTTP_VERSION : HTTP/1.1
* ORIGINAL_FULLPATH : /projects/demo/issues/gantt
* ORIGINAL_SCRIPT_NAME 8
* PATH_INFO : /projects/demo/issues/gantt
* QUERY_STRING 5
* REMOTE_ADDR : 192.168.60.239
* REQUEST_METHOD : GET
* REQUEST_PATH : /projects/demo/issues/gantt
* REQUEST_URI : /projects/demo/issues/gantt
* .

ROUTES_56192080_SCRIPT_NAME
SCRIPT_NAME 5
SERVER_NAME : redmine.utranshub.com

*

*

* SERVER_PORT : 80

* SERVER_PROTOCOL : HTTP/1.1

* SERVER_SOFTWARE : thin 1.7.0 codename Dunder Mifflin

* action_controller.instance : #<GanttsController:0x007£02e41256b8>

* action_dispatch.backtrace_cleaner : #<Rails::BacktraceCleaner:0x00000005bb32a8>

* action_dispatch.cookies : #<ActionDispatch::Cookies::CookieJar:0x007£02e4112d88>

* action_dispatch.cookies_digest 8

* action_dispatch.cookies_serializer g

* action_dispatch.encrypted_cookie_salt : encrypted cookie

* action_dispatch.encrypted_signed_cookie_salt : signed encrypted cookie

* action_dispatch.http_auth_salt : http authentication

* action_dispatch.key_generator : #<ActiveSupport::CachingKeyGenerator:0x000000067154e8>

* action_dispatch.logger : #<ActiveSupport::Logger:0x000000069e8b70>

* action_dispatch.parameter_filter : [:password]

* action_dispatch.redirect_filter 8 [

* action_dispatch.remote_ip : 192.168.60.239

* action_dispatch.request.content_type 3

* action_dispatch.request.formats : [#<Mime: :Type:0x00000003419940 @synonyms=["application/xh
tml+xml"], @symbol=:html, @string="text/html", @hash=-3629994018379231673>]

* action_dispatch.request.parameters : {"controller"=>"gantts", "action"=>"show", "project_id"=>
"demo" }

* action_dispatch.request.path_parameters : {:controller=>"gantts", :action=>"show", :project_id=>"de
mo"}

* action_dispatch.request.query_parameters 8 {1}

* action_dispatch.request.request_parameters : {1}

* action_dispatch.request.unsigned_session_cookie: {"session_id"=>"69cd83dd2274a3c7c0fb83bbde39fe42", "user_
id"=>1, "tk"=>"f361b0a374c68676db887a9c29%e30aac9c5b75aa", "sudo_timestamp"=>1466819032, "my_page_sort"=>"none"
, "_csrf_token"=>"EwDBCA3Ftc2GYZctpxJCaXQiDuCgogX470IVkWiJUr4=", "recent_projects"=>[11, 1, 7, 10, 3], "query"

=>{:project_id=>11, :filters=>{}, :group_by=>nil, :column_names=>nil, :totalable_names=>[:estimated_hours, :sp
ent_hours]}, "issues_index_sort"=>"priority:desc", "boards_show_sort"=>"updated_on:desc"}

* action_dispatch.request_id : Obbada35-610a-4£dd-ab49-796992031706
* action_dispatch.routes : #<ActionDispatch::Routing::RouteSet:0x00000006b2d8a0>
* action_dispatch.secret_key_base : 59ddal7a42803617f96151518b% eechb94e132c6£140123f1982elc8a

e15d0103f£fa854c4d8b0019
* action_dispatch.secret_token

* action_dispatch.show_detailed_exceptions : false

* action_dispatch.show_exceptions : true

* action_dispatch.signed_cookie_salt : signed cookie

* async.callback : #<Method: Thin::Connection#post_process>

* async.close : #<EventMachine: :DefaultDeferrable:0x007£02e413a478>

* rack.errors : #<I0:0x00000002365590>

* rack.input : #<StringIO:0x007f02e413ae28>

* rack.multiprocess : false

* rack.multithread : true

* rack.request.cookie_hash : {"_redmine_session"=>"NmEyZT1YMnZ0YThvM2ZDN11VMEkrTktoemU

rNEQ1WUdaRWEwc1lVycGZMZ21NTHZoWT lwQnBBbG11dTZDRGFFL21yU2NpbEdLQWJILS0Z1VndOR2Z6dVdAnNV1tVijVIiMzNIS21ubHFkMm1Pb25nS
mZnTXcrV0txVnpDL2FUYTNrcERVb2FNNnpzemxndkdébjllakl 6dXhUNmdAScExYbGIrSWOZUG4waFAWRGIMZTNOd2 9BSmpidl BmMWROKOxVbnk
zMzd5N2Z5bmI4QWpZaFBZTT1TMXVKcHA2 SWppQ jNXOCOEUEL1SWN2QUZ0oZ jJiTV13ZUUwZmc2cDBTSFAVVEATaWhYVnVGcWZmcOR6akc2TUVzb
VNsQ2pvKONOd2pveDByelJOMHAWMNMOALJKY2tESSt5QVVEYytzYTdhSnVMcjZaV3piUDBzT jFJems3aE1TN3UvZkRt ZzdwTHVQaGdBVk JUaXE
1alhRRnBtUnV4VmpVV31EWUNSRMhZWTFmblhJQk1lpOFVZY1VjcStYcVAS50TY1aHAzZNNQ4bzkzZXNQMEJ5alRHQVA6dES zWGdmb1dON3dOd0NsM
FF5521ybkJJQURibzhmYnJzUGZIQIRmMdAVAZREU4NksxU2ZCSO0JOVWUWN3ZSA0dZbHo5YWZDbH1sZ3QrRWIBSGNVbHY5aERFUHFQNEdaL2xzenl
WQksO0clpxNmhzSXJVY2J2NFI1UlFhb2pCUDZrRUpNSkVBAXJIsWWM1aG9iSmVGLzVEFUnpYMzg5ekJUA3NBUzVQa0t 50XJ1RGNObENKbncS5LINIY
01kR1ZtSVU5S3ZhVUpzZGlwbklPQWc2TD1Wa28zTW15cXhaRVF0a3JCUkFkVO09 jNWRMVGgzNT1uNGJIvVkgzNEZ1IMTR JREEXWUVgQVAQWGMILS0
zCcTV3UTNjMmc4L25kNkESRzZRkQOIBPT0=--58696106e9f2c343d532405614aad0e74ffa2b8b"}

* rack.request.cookie_string : _redmine_session=NmEyZT1YMnZ0YThvM2ZDN11VMEkrTktoemUrNEQ1
WUdaRWEwc1VycGZMZ21NTHZoWT1wQnBBbG1l1dTZDRGFFL21yU2NpbEdALQWJILS0Z1VndOR2Z 6dVdAnNV1tViVIMzNIS21ubHFkMm1Pb25nSmZnTX
crV0txVnpDL2FUYTNrcERVb2FNNnpzemxndkd6bjllakl 6dXhUNmdScExYbGIrSWIZUG4waFAWRGIMZTNOA2 9BSmpidl BmMWROKOxVbnkzMzd5
N2Z5bmI4QWpZaFBZTT1TMXVKcHA2 SWppQjNXOCI9EUELiSWN2QUZoZjJiTV13Z2UUwZmc2cDBTSFAVVEATaWhYVnVGcWZmcOR6akc2TUVZbVNsQ2
pvKONOd2pvcDByelJOMHAWMNMOA1JKY2tESSt5QVVEYytzYTdhSnVMc jZaV3piUDBzT jFJems3aE1TN3UvZkRt ZzdwTHVQaGdBVkJUaXElalhR
RnBtUnV4VmpVV31EWUNSRMhZWTFmblhJQk1lpOFVZY1VicStYcVA50TY1aHAZNNQ4bzkzZXNQMEJ5al1RHQVA6JES zWGAmb1dON3dOdONsSMEFF5S2
1ybkJJQURibzhmYnJzUGZIQ1RmdAVAZREU4NksxU2ZCSO0JOVWUWN3ZSd0dZbHo5YWZDbH1sZ3QrRWIBSGNVbHY 5aERFUHFQNEdaL2xzenlWQksO0
clpxNmhzSXJVY2J2NFI1UlFhb2pCUDZrRUpNSkVBAXJIsWWM1aG9iSmVGLzVEUnpYMzg5ekJUA3NBUzVQa0t 50XJ1IRGNObENKbncS5LINIY01kR1
ZtSVU5S3ZhVUpzZGlwbklPQWc2TD1Wa28zTW15cXhaRVF0a3JCUkFkV09 jNWRMVGgzNT1uNGIvVkgzNEZIMTRJREEXWUVgQVAQWGMIOLS0zcTV3
UTNJjMmc4L25kNKE5RzZRkQOdIBPT0%$3D--58696106e9f2c343d532405614aad0e74£fa2b8b

* rack.request.query_hash : {}

* rack.request.query_string

* rack.run_once : false

* rack.session : #<ActionDispatch::Request::Session:0x007£02e412cd78>

* rack.session.options : #<ActionDispatch::Request::Session::0ptions:0x007£02e412c
800>

* rack.url_scheme : http

* rack.version : [1, 0]
Backtrace:

plugins/advanced_roadmap/lib/advanced_roadmap/redmine_helpers_gantt_patch.rb:20:in "render_version_with_mile
stones'

lib/redmine/helpers/gantt.rb:225:in “block (2 levels) in render_project'

lib/redmine/helpers/gantt.rb:224:in ‘each’'

lib/redmine/helpers/gantt.rb:224:in “block in render_project'

lib/redmine/helpers/gantt.rb:276:in "increment_indent'

lib/redmine/helpers/gantt.rb:217:in "render_project'

lib/redmine/helpers/gantt.rb:205:in "block in render'

app/models/project.rb:796:in ‘block in project_tree'

app/models/project.rb:792:in ‘each'

app/models/project.rb:792:in “project_tree'

lib/redmine/helpers/gantt.rb:203:in "render'

app/views/gantts/show.html.erb:110:in °_app_views_gantts_show_html_erb__ 1297870265964519113_69824726509880"

app/controllers/gantts_controller.rb:43:in “block (2 levels) in show'

app/controllers/gantts_controller.rb:42:in " show'

lib/redmine/sudo_mode.rb:63:in "~ sudo_mode'

#2 - 2016-07-04 08:07 - Emilio Gonzalez Montaha

- Subject changed from when | create a new milestone and open Gantt tab, it occued an error to When | create a new milestone and open Gantt tab, it
occued an error

- Target version set to Advanced roadmap 0.10.2

- Start date deleted (2016-06-25)

#3 - 2016-07-04 14:30 - Emilio Gonzalez Montana
- Due date set to 2016-07-04

- Category changed from Issues to Gantt

- Status changed from New to Resolved

- Start date set to 2016-07-04

- % Done changed from 0 to 100
